# game_dao Class Reference

Inheritance diagram for game_dao:

## Public Member Functions

| select ($id)
| Fonction gérant la récupération d'infos.
| selectByLogin ($login)
| countGame ()
| insert (&$objet)
| Fonction gérant l'insertion d'un nouvel objet dans la BDD.
| update (&$objet)
| Fonction gérant la mise de jour des données.
| delete ($id)
| Fonction gérant la suppression d'un objet dans la BDD.
| getLastId ()

## Member Function Documentation

countGame | ( |  | ) |

delete | ( | $ | id | ) |

Fonction gérant la suppression d'un objet dans la BDD.

Reimplemented from dao.

getLastId | ( |  | ) |

insert | ( | &$ | objet | ) |

Fonction gérant l'insertion d'un nouvel objet dans la BDD.

Reimplemented from dao.

select | ( | $ | id | ) |

Fonction gérant la récupération d'infos.

Note:
  l'id est soit l'id (int) soit le login pour user

Reimplemented from dao.

selectByLogin | ( | $ | login | ) |

update | ( | &$ | objet | ) |

Fonction gérant la mise de jour des données.

Reimplemented from dao.

The documentation for this class was generated from the following file:

- /var/www/Burger-ct-glf/dao/game_dao.php